## org.apache.poi.hslf.record
Class SoundData

    java.lang.Object
      org.apache.poi.hslf.record.Record
          org.apache.poi.hslf.record.RecordAtom
              org.apache.poi.hslf.record.SoundData

    public final class SoundData

extends RecordAtom

Storage for embedded sounds.

Author:
  Yegor Kozlov

Field Summary

Fields inherited from class org.apache.poi.hslf.record.Record
`logger`

Constructor Summary
`protected` `SoundData()` Constructs a new empty sound container.
`protected` `SoundData(byte[] source, int start, int len)` Constructs the link related atom record from its source data.

Method Summary
`byte[]` `getData()` Returns the sound data.
`long` `getRecordType()` Gets the record type.
`void` `writeOut(java.io.OutputStream out)` Write the contents of the record back, so it can be written to disk.

Methods inherited from class org.apache.poi.hslf.record.RecordAtom
`getChildRecords, isAnAtom`

Methods inherited from class org.apache.poi.hslf.record.Record
`buildRecordAtOffset, createRecordForType, findChildRecords, writeLittleEndian, writeLittleEndian`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SoundData

    protected SoundData()

  Constructs a new empty sound container.

### SoundData

    protected SoundData(byte[] source,
                        int start,
                        int len)

  Constructs the link related atom record from its source data.

  Parameters:
    `source` - the source data as a byte array.
    `start` - the start offset into the byte array.
    `len` - the length of the slice in the byte array.

Method Detail

### getData

    public byte[] getData()

  Returns the sound data.

  Returns:
    the sound data

### getRecordType

    public long getRecordType()

  Gets the record type.

  Specified by:
    `getRecordType` in class `Record`
  Returns:
    the record type.

### writeOut

    public void writeOut(java.io.OutputStream out)
                  throws java.io.IOException

  Write the contents of the record back, so it can be written to disk.

  Specified by:
    `writeOut` in class `Record`
  Parameters:
    `out` - the output stream to write to.
  Throws:
    `java.io.IOException` - if an error occurs.

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.